Package org.jbpm.kie.services.impl.admin

## Class ProcessNodeImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.ProcessNodeImpl

- All Implemented Interfaces:
    `Serializable`, `ProcessNode`

      public class ProcessNodeImpl
      extends Object
      implements ProcessNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessNodeImpl​(String nodeName, long nodeId, String nodeType, String processId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `long` | `getNodeId()` | Returns unique id of the node
    `String` | `getNodeName()` | Returns name of the node
    `String` | `getNodeType()` | Returns type of the node
    `String` | `getProcessId()` | Returns process id node belongs to
    `int` | `hashCode()` |
    `void` | `setNodeId​(long nodeId)` |
    `void` | `setNodeName​(String nodeName)` |
    `void` | `setNodeType​(String nodeType)` |
    `void` | `setProcessId​(String processId)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessNodeImpl

          public ProcessNodeImpl​(String nodeName,
                                 long nodeId,
                                 String nodeType,
                                 String processId)

  - ### Method Detail

    - #### getNodeName

          public String getNodeName()

      Description copied from interface: `ProcessNode`
      Returns name of the node
      Specified by:
        `getNodeName` in interface `ProcessNode`
      Returns:
        node name

    - #### setNodeName

          public void setNodeName​(String nodeName)

    - #### getNodeId

          public long getNodeId()

      Description copied from interface: `ProcessNode`
      Returns unique id of the node
      Specified by:
        `getNodeId` in interface `ProcessNode`
      Returns:
        node id

    - #### setNodeId

          public void setNodeId​(long nodeId)

    - #### getNodeType

          public String getNodeType()

      Description copied from interface: `ProcessNode`
      Returns type of the node
      Specified by:
        `getNodeType` in interface `ProcessNode`
      Returns:
        node type

    - #### setNodeType

          public void setNodeType​(String nodeType)

    - #### getProcessId

          public String getProcessId()

      Description copied from interface: `ProcessNode`
      Returns process id node belongs to
      Specified by:
        `getProcessId` in interface `ProcessNode`
      Returns:
        process id

    - #### setProcessId

          public void setProcessId​(String processId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`